package com.alterdekim.game.controller.result.async;

import com.fasterxml.jackson.annotation.JsonRootName;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;

@AllArgsConstructor
@JsonRootName(value = "item")
public class ConfigItem {

    @JacksonXmlProperty(isAttribute = true, localName = "Id")
    private Integer id;

    @JacksonXmlProperty(isAttribute = true, localName = "Parameter")
    private ServerActionConfigType parameter;

    @JacksonXmlProperty(isAttribute = true, localName = "Value")
    private String value;

    @JacksonXmlProperty(isAttribute = true, localName = "Type")
    private String type;
}
