package com.alterdekim.game.message;

import com.alterdekim.game.message.amf.AMFObject;
import lombok.*;

import java.util.Map;

@ToString
@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class SetLocationMessage {
    private Double transactionId;
    private String location;
    private Map<String, AMFObject> coordinates;
    private Double startState;
}
