package com.alterdekim.game.service;

import com.alterdekim.flash.decompiler.mapper.OutputObjectCallback;
import com.alterdekim.game.entity.Good;
import com.alterdekim.game.repository.GoodRepository;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


@Service
public class GoodsService implements OutputObjectCallback {

    @Autowired
    private GoodRepository repository;

    @Override
    public void onOutputObjectReady(Object o) {
        this.repository.save((Good) o);
    }
}
