package com.alterdekim.game.controller.result.async;

import com.fasterxml.jackson.annotation.JsonRootName;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;

@AllArgsConstructor
@JsonRootName(value = "item")
public class ServerItem {

    @JacksonXmlProperty(isAttribute = true, localName = "Id")
    private Integer id;

    @JacksonXmlProperty(isAttribute = true, localName = "TRId")
    private Integer trId;

    @JacksonXmlProperty(isAttribute = true, localName = "RId")
    private Integer rId;

    @JacksonXmlProperty(isAttribute = true, localName = "RTMPUrl")
    private String rtmpUrl;

    @JacksonXmlProperty(isAttribute = true, localName = "Load")
    private Integer load;

    @JacksonXmlProperty(isAttribute = true, localName = "FriendsCount")
    private Integer friendsCount;

    @JacksonXmlProperty(isAttribute = true, localName = "ClubsCount")
    private Integer clubsCount;

    @JacksonXmlProperty(isAttribute = true, localName = "Weight")
    private Double weight;
}
