package com.alterdekim.game.service;

import com.alterdekim.flash.decompiler.mapper.OutputObjectCallback;
import com.alterdekim.game.entity.SportInventory;
import com.alterdekim.game.repository.SportInventoryRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SportInventoryService implements OutputObjectCallback {

    @Autowired
    private SportInventoryRepository repository;

    @Override
    public void onOutputObjectReady(Object o) {
        this.repository.save((SportInventory) o);
    }
}