package com.alterdekim.game.service;

import com.alterdekim.flash.decompiler.mapper.OutputObjectCallback;
import com.alterdekim.game.entity.Visa;
import com.alterdekim.game.repository.VisaRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class VisaService implements OutputObjectCallback {

    @Autowired
    private VisaRepository repository;

    @Override
    public void onOutputObjectReady(Object o) {
        this.repository.save((Visa) o);
    }
}
